"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    allowlist: ()=>allowlist,
    default: ()=>_default
});
const _bcryptjs = /*#__PURE__*/ _interopRequireDefault(require("bcryptjs"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const allowlist = (...bcrypt_digests)=>(input)=>bcrypt_digests.some((digest)=>_bcryptjs.default.compareSync(input, digest)) && input;
const _default = allowlist;


//# sourceMappingURL=index.js.map